Jira CLI(7)

NAME

jira-epic-list - List lists issues in a project

SYNOPSIS

jira epic list [EPIC-KEY] [flags]

DESCRIPTION

List lists top 100 epics.

By default epics are displayed in an explorer view. You can use --table and --plain flags to display output in different modes.

OPTIONS

-R, --resolution=""
    Filter issues by resolution type

-s, --status=[]
    Filter issues by status

-y, --priority=""
    Filter issues by priority

-r, --reporter=""
    Filter issues by reporter (email or display name)

-a, --assignee=""
    Filter issues by assignee (email or display name)

-C, --component=""
    Filter issues by component

-l, --label=[]
    Filter issues by label

--history[=false]
    Issues you accessed recently

-w, --watching[=false]
    Issues you are watching

--created=""
    Filter issues by created date Accepts: today, week, month, year, or a date in yyyy-mm-dd and yyyy/mm/dd format, or a period format using w = weeks, d = days, h = hours, m = minutes. eg: -10d Created filter will have precedence over created-after and created-before filter

--updated=""
    Filter issues by updated date Accepts: today, week, month, year, or a date in yyyy-mm-dd and yyyy/mm/dd format, or a period format using w = weeks, d = days, h = hours, m = minutes. eg: -10d Updated filter will have precedence over updated-after and updated-before filter

--created-after=""
    Filter by issues created after certain date

--updated-after=""
    Filter by issues updated after certain date

--created-before=""
    Filter by issues created before certain date

--updated-before=""
    Filter by issues updated before certain date

-q, --jql=""
    Run a raw JQL query in a given project context

--order-by="created"
    Field to order the list with

--reverse[=false]
    Reverse the display order (default "DESC")

--paginate="0:100"
    Paginate the result. Max 100 at a time, format: : where is optional

--plain[=false]
    Display output in plain mode

--no-headers[=false]
    Don't display table headers in plain mode. Works only with --plain

--no-truncate[=false]
    Show all available columns in plain mode. Works only with --plain

--delimiter="\t"
    Custom delimeter for columns in plain mode. Works only with --plain

--comments=1
    Show N comments when viewing the issue

--raw[=false]
    Print raw JSON output

--csv[=false]
    Print output in CSV format

--columns=""
    Comma separated list of columns to display in the plain mode. Accepts: TYPE, KEY, SUMMARY, STATUS, ASSIGNEE, REPORTER, PRIORITY, RESOLUTION, CREATED, UPDATED, LABELS

--fixed-columns=1
    Number of fixed columns in the interactive mode

--table[=false]
    Display epics in table view

-h, --help[=false]
    help for list

OPTIONS INHERITED FROM PARENT COMMANDS

-c, --config=""
    Config file (default is /home/pbulk/.config/.jira/.config.yml, can be overridden with JIRA_CONFIG_FILE env var)

--debug[=false]
    Turn on debug output

-p, --project=""
    Jira project to look into (defaults to /home/pbulk/.config/.jira/.config.yml)

EXAMPLE
    # Display epics in an explorer view
    $ jira epic list
    # Display epics or epic issues in an interactive table view
    $ jira epic list --table
    $ jira epic list <KEY>
    # Display epics or epic issues in a plain table view
    $ jira epic list --table --plain
    $ jira epic list <KEY> --plain
    # Display epics or epic issues in a plain table view without headers
    $ jira epic list --table --plain --no-headers
    $ jira epic list <KEY> --plain --no-headers
    # Display some columns of epic or epic issues in a plain table view
    $ jira epic list --table --plain --columns key,summary,status
    $ jira epic list <KEY> --plain --columns type,key,summary

SEE ALSO

jira-epic(7)

HISTORY

4-Dec-2025 Auto generated by spf13/cobra